program calcula_potencia
    implicit none
    real base, potencia
    integer expoente, cont

    write(*,*) "Programa que le Base e Expoente e calcula potencia sem usar o operador ** "
    write(*,*)
    write(*,*) "Digite a Base: "
    read(*,*) base
    write(*,*) "Digite o Expoente: "
    read(*,*) expoente

    potencia = 1  
    do cont = 1, expoente, 1
      potencia = potencia * base
    end do

    write(*,*) "Potencia = : ", potencia

    stop

end program calcula_potencia    